<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
	$('select').select2();
	jQuery('.datepicker2').datepicker({
			dateFormat : 'dd-mm-yy',
			changeMonth : true,
			changeYear : true
			});
    var oTable = $("#test").dataTable( {
        "iDisplayLength": 10,
		 "aLengthMenu": [5,10,25,50,100],
		 "asSorting": [ "asc"], "aTargets": [ 1 ],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false }, 
			null, 
			null,
			null, 
			null,
			null, 
			null,
			null, { 
			"bSortable": false } ]});
    oTable.fnSort( [ [1,'asc'] ] );
    $("table .checkall1").live("click", "checkall1",function(){           
		$(oTable.fnGetNodes()).find(':checkbox').prop('checked', this.checked);
	});

     function remove_row(row){
       
 		$.ajax({
  			type: "POST",
  			url: "<?php echo base_url() ?>aptransaction/creditnoteDelete",
			data:"ID="+ID,
  			success: function(data){
				if($.trim(data) == "success"){
                                    alertbox("Row successfully deleted !!! ",1);
                                     row.remove();
                                }else{
                                     alertbox("Fail to delete row !!! ",2);
                                }
			},
		});       // Here your ajax action after delete confirmed
    }
    $("#row_delete").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,

        buttons: {
            "Delete": function() {
//				window.location.href = "<?php echo base_url() ?>po_transaction/purchaseOrderCancel/" + ID;
				//window.location.href = "purchaseOrderCancel?ID=" + ID;		
                remove_row(rRow);
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });

}); 

function delete_row(me){
    
     rRow = $(me).parents("tr");
        ID = $('td:first', $(me).parents('tr')).text(); 
        $("#row_delete").dialog("open");
    }
 
function changeList(){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
	var urls = "<?php echo base_url();?>aptransaction/creditnotePost/"+addyear+"/"+addper;
		window.location = urls;
} 


function postcrdtn(me){
    $(me).attr("disabled","disabled");
   var oTable = $("#test").dataTable( );
	$(oTable.fnGetNodes()).find(':checkbox').each(function () {
        if($(this).is(':checked')){
			var fldid = $('td:first', $(this).parents('tr')).text(); 
			var effdate = $('td:eq(6)', $(this).parents('tr')).text(); 
			var postData = {
				'fldid' : fldid,
				'effdate' : effdate,
			};
			
//			alert(effdate);
 			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>Aptransaction/creditNotePosting",
				data: postData ,
	  			async: false,
  				success: function(content){
  					window.location.reload(true);			
				}
			}); 
		}
	});
}

function selectYearPeriod(obj){
	var year = obj.value;
	$.ajax({
		type: "POST",
		dataType: "json",
		url: "<?php echo base_url()?>glreports/get_TrialBalance_year/"+year,
		data: year,
		async: false,
		success: function(content){
			$("#add_period").empty().select2('val',null);
			if(content.status == "success") {
				var items = [];
				//items.push('<option>-Please Select-</option>');
				for ( var i = 0; i < content.message.length; i++) {
					items.push('<option value="'+content.message[i].period+'">'
					+ content.message[i].financialPeriod + '</option>');
				}  //end for
				jQuery("#add_period").empty();
				jQuery("#add_period").append(items.join('</br>'));
				//jQuery("#add_period").val(null);
				$("#add_period").select2();
                changeList();
			}else {
				jQuery("#add_period").empty();
				$("#error").html('<p>'+content.message+'</p>');
				$("#add_period").select2('val',null);
			} //end if
		} //end success		
	}); //end ajax
}

function printCreditNoteList(){
	var df = $('#add_year').val();
	var dt = $('#add_period').val();
	window.open("<?php echo base_url();?>aptransaction/creditnotePostPrint/"+df+"/"+dt);
	
}

</script>

<div id="content">                        
<div class="wrap">
	<div class="head">
		<div class="info">
			<!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
				<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
			<ul class="breadcrumb">
            	<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="ap/home"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('title') ?></li>
            </ul>
		</div>
		<div class="search">
			<form action="<?php echo base_url() ?>admin/search" method="post">
				<input name="search_text" type="text" placeholder="search..."/>                                
            	<button type="submit"><span class="i-magnifier"></span></button>
			</form>
		</div>                        
	</div><!-- head --> 
<div class="content">
<div class="wrap">                    
	<div class="row-fluid">
		<div class="span12">
        	<div class="block">
            	<div class="head">
                    	<h2><?php echo $this->lang->line('title') ?></h2>
                    </div><!-- head -->
				<div class="content np">    
                	<div class="controls-row"><!-- Row 4-->
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('year'),'add_year');?></div>
						<?php
							$preselyear = $selyear;
							$options = '';
							$options[] = $this->lang->line('selectyear');
							if(isset($yrs) && !empty($yrs)){	
								foreach($yrs as $row){
									$options[$row] = $row;
								}
							}
							$js='onchange="selectYearPeriod(this)" class="input-medium validate[required]" id="add_year"';

							echo form_dropdown('add_year', $options, $preselyear, $js);
						?>       
                        </div>
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('period'),'add_period');?></div>
						<?php
							$preselperiod = $selper;
							$options = '';
							$options[] = $this->lang->line('period');
							if($period){
								foreach($period as $row){
									$options[$row->period] = $row->financialPeriod;
								}
							}
							$js='class="input-medium validate[required]" id="add_period" style="width:75%" OnChange="changeList()"';

							echo form_dropdown('add_period', $options, $preselperiod, $js);
						?>&nbsp;&nbsp; 
                        </div>
						<!--<div class="span2 tac">
                        <?php
							$data = array(
									'name'=>'mysubmit',
									'class'=>'btn-form btn-success-form');
									$js="onClick='changeList()'";
							echo form_button($data,$this->lang->line('submit'),$js);
							?>
                        </div>-->
                 	</div><!-- End Row 4-->
				</div><!-- content -->
            	<div class="head">
                	<h2><?php echo $this->lang->line('titlelist');?></h2>
                    <div class="side fr">
						<a href="" name="updatePosting" class="btn-form btn-success-form" onClick="printCreditNoteList()"><?php echo $this->lang->line('print');?></a>
					</div>
                </div>
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
            			<th class="tac">#</th>
            			<th><?php echo $this->lang->line('formNo');?></th>
						<th><?php echo $this->lang->line('supplierName');?></th>
						<th><?php echo $this->lang->line('invoiceno');?></th>
                         <th class="tar"><?php echo $this->lang->line('totalAmount');?></th>
                        <th class="tac"><?php echo $this->lang->line('date');?></th>
                        <th class="tac"><input type="checkbox" id="checkall1" class="checkall1"/></th>
                        <th class="tac"><?php echo $this->lang->line('delete');?></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0; 
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->ID; ?></td>	
             		<td><?php echo $bil; ?></td>
            		<td><a href="<?php echo base_url() ?>aptransaction/editCreditNote/<?php echo $datatbl->ID; ?>" title="<?php echo $this->lang->line('details');?>" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo; ?></a></td>
            		<td><?php echo $datatbl->supplierName ?></td>
             		<td><?php echo $datatbl->supplierInvoiceNo ?></td>
                    <td class="tar"><?php echo number_format($datatbl->totalAmount,2) ?></td>
                    <td class="tac"><?php echo date("d-m-Y", strtotime($datatbl->creditNoteDate)); ?></td>
                    <td class="tac"><input type="checkbox" class="checkbox" id="checkbox"/></td>
                     <td class="tac">
                        <button onclick="delete_row(this)" class="btn-form btn-danger-form"><i class="i-trashcan"></i></button>
                    </td>
                </tr>
            <?php endforeach; }?>
                     </tbody>
                     </table>
				</div><!-- content -->
            <div class="footer">
            	<div class="side fr">
                	<div class="btn-group">
                        <?php 
							$data = array(
									'name'=>'postcrdtn', 
									'class'=>'btn-form btn-warning-form');
							$js='onclick="postcrdtn(this)"';
							echo form_submit($data,$this->lang->line('postcrdtn'),$js);
							?>
                    </div>
                </div>
            </div>                                    
				</div><!-- block -->
			</div><!-- span12 -->
		</div><!-- row-fluid -->	
	</div><!-- wrap -->
</div><!-- content -->
	</div><!-- wrap -->
</div><!-- content -->

<div class="dialog" id="row_delete" style="display: none;" title="Delete?">
    <p>Row will be deleted</p>
</div>  